;========================================================================
;   FILE: macros.inc 
;
;   contains useful macro definitions
;
;========================================================================
    ;clear bit(s) in a RAM location
    MACRO CLRBIT BIT REG
    mov A,~BIT
    and [REG],A
    ENDM

    ;set bit(s) in a RAM location
    MACRO SETBIT BIT REG
    mov A,BIT
    or  [REG],A
    ENDM
  
    ;test bit(s) in a RAM location
    MACRO TSTBIT BIT REG
    mov A,BIT
    and A,[REG]
    ENDM

    ;clear carry
    MACRO CLEARC
    or    A,0
    ENDM

    ;set carry
    MACRO SETC
    cpl   A
    cpl   A
    ENDM


    ;macro for clearing blocks of RAM
    ;destroys X and A
    MACRO   CLEARRAM base,length
    mov     X,length - 1
    mov     A,0
lp:
    mov     [X + base],A
    dec     X
    jnc     lp
    ENDM


    ;macro for packing 4 2-bit fields into a byte

    MACRO TYPE a,b,c,d
        db  (a + b*4 + c*16 + d*64)
    ENDM


    ;delay macro is the front-end for a call to the delay subroutine
    ;The fixed overhead of the macro plus the subroutine is 3 us,
    ;so this technique is good for delays of 4us or greater.
    ;

    MACRO DELAY US
    push    A
    mov     A,(US-3)
    call    delay
    ENDM
;*****
; CLRC
;	Clears C bit
;*****
MACRO CLRC
	add	A,0	;Clear C-bit
			;*** END MACRO CLRC
ENDM





