;========================================================================
;   FILE: usb.inc
;
;   This file contains usb-specific delarations
;
;========================================================================
;========================================================================
; constant declarations
;========================================================================
; from USB Spec v1.0 from page 175
;------------------------------------------------------------------------
; standard request codes
;========================================================================
; constant declarations
;========================================================================
; from USB Spec v1.0 from page 175
;------------------------------------------------------------------------
; standard request codes
get_status:             equ   0
clear_feature:          equ   1
set_feature:            equ   3
set_address:            equ   5
get_descriptor:         equ   6
set_descriptor:         equ   7
get_configuration:      equ   8
set_configuration:      equ   9
get_interface:          equ  10 
set_interface:          equ  11 
synch_frame:            equ  12

; standard descriptor types
device:         	      equ   1
configuration:  	      equ   2
string:         	      equ   3
interface:      	      equ   4
endpoint:       	      equ   5

; standard feature selectors
endpoint_stall:         equ   0    ;recipient endpoint
device_remote_wakeup:   equ   1    ; recipient device
 
;========================================================================
; from HID Class v1.0 Draft #4
;------------------------------------------------------------------------
; class specific descriptor types from section 7.1 Standard Requests
HID:                    equ  21h
report:                 equ  22h
physical:               equ  23h
  
; class specific request codes from section 7.2 Class Specific Requests
get_report:             equ   1
get_idle:               equ   2
get_protocol:           equ   3
set_report:             equ   9
set_idle:               equ  10
set_protocol:           equ  11

;========================================================================
; USB packet constants (debug purposes)
;------------------------------------------------------------------------
;setup:          	      equ  B4h
;in:             	      equ  96h
;out:            	      equ  87h
;data0:          	      equ  C3h
;data1:          	      equ  D2h
;ack:            	      equ  4Bh
;nak:            	      equ  5Ah

;CONFIGURED:             equ   1 ; configuration status values
;UNCONFIGURED:           equ   0

BOOT_PROTOCOL:          equ   0 ; protocol status values
REPORT_PROTOCOL:        equ   1

DISABLE_REMOTE_WAKEUP:  equ   0         ; bit[1] = 0
ENABLE_REMOTE_WAKEUP:   equ   2         ; bit[1] = 1

MOUSE_REPORT_ID:        equ   1
MOUSE_REPORT_LEN:       equ   4
POWER_REPORT_ID:        equ   2
POWER_REPORT_LEN:       equ   2
LAST_REPORT_ID: EQU POWER_REPORT_ID

